Skip to main content
GET
/
ai-agents
/
agent-builder
/
agents
List Agents
curl --request GET \
  --url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents \
  --header 'apikey: <api-key>'
{
  "data": [
    {
      "uid": "agent-uuid-1234",
      "name": "Support Agent",
      "icon": "https://example.com/icon.png",
      "isActive": true,
      "description": "A helpful support agent",
      "tools": [
        "gmail"
      ],
      "files": [],
      "websites": [],
      "otherKbIntegrations": [],
      "apiTools": [],
      "mcpServers": [],
      "frontendActions": [],
      "ragVersion": "v2",
      "lastMessageAt": null,
      "instruction": "You are a helpful assistant",
      "formattedInstruction": "You are a helpful assistant",
      "metaData": {},
      "model": "gpt-4o-mini",
      "modelMetaData": {},
      "createdAt": 1700000000000,
      "updatedAt": 1700000000000
    }
  ],
  "meta": {
    "previous": {
      "affix": "prepend",
      "createdAt": 1700000000000
    },
    "current": {
      "limit": 10,
      "count": 1
    },
    "next": {
      "affix": "append",
      "createdAt": 1700000000000
    }
  }
}
For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key (i.e. Rest API Key from the Dashboard).

Query Parameters

limit
number

Maximum number of results to return per page.

affix
enum<string>

To paginate over results, use the value of affix as prepend or append.

Available options:
prepend,
append
createdAt
number

To be used with affix for pagination.

Search term to filter agents by name, description, or other fields

Response

200 - application/json

Paginated list of agents

data
object[]
meta
object